<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
$can1=mysqli_query($con,"SELECT MAX(gar_numero)as gar_numero FROM garantias_proveedor where empresa='$empresa'") or die(mysqli_error($con)); 
$dato1=mysqli_fetch_array($can1); 
$gar_numero=$dato1['gar_numero']+1;
$can2=mysqli_query($con,"SELECT MAX(gar_id)as gar_id FROM garantias_proveedor ") or die(mysqli_error($con)); 
$dato2=mysqli_fetch_array($can2); 
$gar_id=$dato2['gar_id']+1;

$art_proveedor=limpiar($_POST['art_proveedor']);
$can3=mysqli_query($con,"SELECT * FROM proveedor where pro_id='$art_proveedor' ") or die(mysqli_error($con)); 
$dato3=mysqli_fetch_array($can3);                  
$pro_nit=$dato3['pro_nit'];
$pro_nombre=$dato3['pro_nombre'];

$fecha=date('Y-m-d');

$registros=mysqli_query($con,"INSERT into garantias_proveedor (gar_id,gar_numero,pro_id,gar_nit,gar_nombre,gar_estado,sucursal,empresa) 
VALUES ('$gar_id','$gar_numero','$art_proveedor','$pro_nit','$pro_nombre','Sin enviar','$sucursal','$empresa')") or die(mysqli_error($con));

$nameimagen = $_FILES['comprobante']['name'];
$tmpimagen = $_FILES['comprobante']['tmp_name'];
$extimagen = pathinfo($nameimagen);
$ext = array("","pdf");
$urlnueva = "../img/img_garantias/".$gar_id.".pdf";
if(is_uploaded_file($tmpimagen))
{
    if(array_search($extimagen['extension'],$ext))
    {
        copy($tmpimagen, $urlnueva);
    }
    else 
    {
        echo '<div class="alert alert-danger alert-dismissable">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
          <strong>No se guardo! </strong> Solo se permiten imágenes con formato  pdf.
        </div>';
    }
}

$can4=mysqli_query($con,"SELECT * FROM garantia_pro_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));  
while($dato4=mysqli_fetch_array($can4))
{   
    $gardt_id=$dato4['gard_id']; 
    $art_id_bod=$dato4['art_id_bod']; 
    $gar_art_id=$dato4['gar_art_id']; 
    $gard_referencia=$dato4['gard_referencia']; 
    $gard_nombre=$dato4['gard_nombre'];           
    $gard_cantidad=$dato4['gard_cantidad'];            
    $gard_precio=$dato4['gard_precio'];
    $gard_problema=$dato4['gard_problema'];
    $gard_accesorios=$dato4['gard_accesorios'];
    $estado=$dato4['estado'];

    $can8=mysqli_query($con,"SELECT MAX(gard_id) as gard_id FROM garantia_pro_detalle ") or die(mysqli_error($con)); 
    $dato8=mysqli_fetch_array($can8);
    $gard_id=$dato8['gard_id']+1;


    $can5=mysqli_query($con,"INSERT INTO garantia_pro_detalle (gard_id,art_id_bod,gar_art_id,gard_referencia,gard_nombre,gard_cantidad,gard_precio,gard_problema,gard_accesorios,garntias_proveedor_gar_id,estado,solucion)
    VALUES ('$gard_id','$art_id_bod','$gar_art_id','$gard_referencia','$gard_nombre','$gard_cantidad','$gard_precio','$gard_problema','$gard_accesorios','$gar_id','$estado','Pendiente')") or die(mysqli_error($con));

    if($estado=='Sin Vender')
    {
        $can6=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id='$art_id_bod' and articulos_art_id='$gar_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con)); 
        $dato6=mysqli_fetch_array($can6);
        $articulos_art_id=$dato6['articulos_art_id'];            
        $art_cantidad=$dato6['art_cantidad'];
        $resta=$art_cantidad-$gard_cantidad;
        $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$resta' Where art_id='$art_id_bod' and articulos_art_id='$gar_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));
        
    }  

    $can15=mysqli_query($con,"SELECT * FROM serial_garantias_temp where garantia_detalle_temp_gard_id='$gardt_id'") or die(mysqli_error($con));  
    while($ser=mysqli_fetch_array($can15))
    {
        $gart_codigo=$ser['gart_codigo'];
        $can16=mysqli_query($con,"INSERT INTO serial_garantias (gard_codigo,gard_estado,garantia_detalle_gard_id) 
                 VALUES ('$gart_codigo','Sin Enviar','$gard_id')") or die(mysqli_error($con));  
      
        $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='garantia' Where articulos_art_id='$gar_art_id' and se_codigo='$gart_codigo'") or die(mysqli_error($con));
    }
}
 

$borrar_sql=mysqli_query($con,"DELETE FROM serial_garantias_temp WHERE usuario='$usu_id'") or die(mysqli_error($con)); 
$borrar_sql=mysqli_query($con,"DELETE FROM garantia_pro_detalle_temp WHERE usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con)); 

?>
<div id="garantia" class="modal fade" tabindex="-1" role="dialog" style="z-index: 20000;" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-body">
               <div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong>Garantia!</strong> Registrada correctamente.
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" OnClick="location.href='C_garantias.php'" data-dismiss="modal">Cerrar</button>
                     <a href="libraries/pdf/pdf_recibos/garantia_proveedor.php?gar_id=<?php echo $gar_id;?>" target="_blank" class="btn btn-primary"><span class="btn-icon-only icon-print"></span>Imprimir</a>
                </div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>
<script >
$('#completar_compra').modal('hide');
$('body').removeClass('modal-open');
$('.modal-backdrop').remove();
$(document).ready(function()
{
    $("#garantia").modal("show");
});
</script>